%global srcname %(echo %{name} | sed 's/^python-//')
%global _description %{expand:
Validates fully-qualified domain names against RFC 1123, so that they
are acceptable to modern browsers.}

Summary:        Validates fully-qualified domain names against RFC 1123
Name:           python-fqdn
Version:        1.5.1
Release:        1%{?dist}
BuildArch:      noarch
License:        MPL-2.0
URL:            https://github.com/ypcrts/fqdn
Source0:        %pypi_source
Source1:        test_fqdn.py

%description %_description

%package -n     python3-%{srcname}
Summary:        Validates fully-qualified domain names against RFC 1123
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools) python3-pytest python3-pytest-cov

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
mkdir tests/
touch tests/__init__.py
cp %{SOURCE1} tests/
%pytest

%files -n python3-%{srcname}
%doc README.rst
%{python3_sitelib}/%{srcname}-*.egg-info/
%{python3_sitelib}/%{srcname}

%changelog
* Thu Jun 13 2024 Shuo Wang <abushwang@tencent.com> - 1.5.1-1
- initial build
